Skip to main content
GET
/
ens
/
v2
/
reverse
/
{address}
Reverse resolve a single Ethereum address to its ENS name
curl --request GET \
  --url https://api.resolvio.xyz/ens/v2/reverse/{address}
import requests

url = "https://api.resolvio.xyz/ens/v2/reverse/{address}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.resolvio.xyz/ens/v2/reverse/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "hasReverseRecord": true,
  "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
  "name": "artii.eth"
}
Resolve a single Ethereum address to its primary ENS name. Returns the ENS name if a reverse record is set; otherwise indicates that no reverse record exists.

Path Parameters

address
string
required

Ethereum address

Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

Query Parameters

noCache
boolean
default:false

Skip cache and fetch fresh data

Response

hasReverseRecord
boolean
required

Whether a reverse record exists for this address

Example:

true

address
string
required

Ethereum address

Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

name
string

Primary ENS name for this address (if reverse record is set)

Example:

"artii.eth"